version: '3'

services:
        os:
            build:
                context: .
                dockerfile: Dockerfile
                container_name: docker_jobtp
                ports:
                        - "2227:22"  # SSH
                        - "8084:80"  # apache
                        - "33061:3306" #mysql
                volumes:
                        - dbdata_jobtp:/var/lib/mysql
                        - dbconfig_jobtp:/etc/mysql
                        - apconfig_jobtp:/etc/httpd
                        - /webFolder5.6/jobtp:/home/jobtp
                depends_on:
                        - os

volumes:
        dbdata_jobtp:
                external: true
        dbconfig_jobtp:
                external: true
        apconfig_jobtp:
                external: true
